OpenapiRealms
Publish request body or the existing white-label draft.
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Path Parameters
realmId*string
Realm ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
accentColor?string|null
background?null|
brandName?string|null
faviconUrl?string|null
footerText?string|null
loginSubtitle?string|null
loginTitle?string|null
logoUrl?string|null
registerSubtitle?string|null
registerTitle?string|null
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/realms/string/config/white-label/publish"{ "draft": null, "draftUpdatedAt": "string", "hasPrevious": true, "message": "string", "published": { "accentColor": "string", "background": null, "brandName": "string", "faviconUrl": "string", "footerText": "string", "loginSubtitle": "string", "loginTitle": "string", "logoUrl": "string", "registerSubtitle": "string", "registerTitle": "string" }, "publishedUpdatedAt": "string"}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}